API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /developers/{developer_email}/apps/{app_name}

Delete a Developer's App

Verb: DELETE

Auth: Basic Auth

Deletes an app associated with a developer.

Sample Request:
$ curl -u myname:mypass -X DELETE https://api.enterprise.apigee.com/v1/o/{org_name}/developers/{developer_email}/apps/{app_name}
Sample Response:
{
  "accessType" : "read",
  "appFamily" : "default",
  "attributes" : [ {
    "name" : "Platform",
    "value" : "iOS"
  } ],
  "callbackUrl" : "www.apigee.com",
  "createdAt" : 1344280373885,
  "createdBy" : "admin@apigee.com",
  "credentials" : [ {
    "apiProducts" : [ {
      "apiproduct" : "weather_free",
      "status" : "approved"
    } ],
    "attributes" : [ ],
    "consumerKey" : "pXuAJIwL0GQfIGfv1LMVi0sy7A4Du5H8",
    "consumerSecret" : "mFzE7ihu7jcri6kF",
    "status" : "approved"
  } ],
  "developerId" : "apigee-cs@@@ZUu9gimoIfaf3f65",
  "lastModifiedAt" : 1344280373885,
  "lastModifiedBy" : "admin@apigee.com",
  "name" : "weatherapp",
  "status" : "approved"
}
Errors
{
  "code" : "developer.service.AppDoesNotExist",
  "message" : "App named weatherapp does not exist in organization myorg",
  "contexts" : [ ]
}
Last updated: about 1 month ago